<?php

/*
Plugin Name: Tagator
Description: Ce plugin permet d'ajouter une suggestion de tags pour pour les articles de votre site web
Version: 0.1
Author: Semanticall
Author URI: http://www.semanticall.com
License: GPL2
*/

add_action('add_meta_boxes','init_metabox');
function init_metabox(){
	$types = array( 'post', 'page', 'custom-type' );
	foreach( $types as $type ) {
      add_meta_box('url_crea', 'Taggator', 'url_crea', $type, 'side');
	}

}

function url_crea($post){
  $url = get_post_meta($post->ID,'_url_crea',true);
	$str = '<script type="text/javascript" src="'.plugin_dir_url(__FILE__ ).'/js/taggator.js"></script>
		<script type="text/javascript" src="'.plugin_dir_url(__FILE__ ).'/js/ajax.js"></script>
		<script type="text/javascript">var taggator_ajax_dir = "'.plugin_dir_url(__FILE__ ).'/ajax/ajax.php"</script>
		<div id="taggator_sug"></div>
  <button type="button" onclick="taggator_ini()">Générer une liste de tag</button>';
  echo $str;
}

add_action('save_post','save_metabox');
function save_metabox($post_id){
if(isset($_POST['url_site']))
  update_post_meta($post_id, '_url_crea', esc_url($_POST['url_site']));
}

?>